-- Version 1.2.1

function OnModInit()
	local ws = ModSettingGet("play_last_seed.prev_seed")
    if ModSettingGet("play_last_seed.use_prev_seed") and ws ~= "" then
        ModTextFileSetContent("mods/seed_changer/files/magic_numbers.xml",
            [[<MagicNumbers WORLD_SEED="]] .. tostring(ws) .. [["/>]])
        ModMagicNumbersFileAdd("mods/seed_changer/files/magic_numbers.xml")
    else
        ModTextFileSetContent("mods/seed_changer/files/magic_numbers.xml", [[<MagicNumbers WORLD_SEED="0"/>]])
        ModMagicNumbersFileAdd("mods/seed_changer/files/magic_numbers.xml")
    end
end

function OnMagicNumbersAndWorldSeedInitialized() -- this is the last point where the Mod* API is available. after this materials.xml will be loaded.
    local x = ProceduralRandom(0, 0)
    local ws = StatsGetValue("world_seed")
    ModSettingSet("play_last_seed.prev_seed", tostring(ws))
	ModSettingSetNextValue("play_last_seed.set_seed" , tostring(ws), false)
	ModSettingSet("play_last_seed.set_seed", tostring(ws))
end
